dnscap-rssm-rssac002(1)

NAME
dnscap-rssm-rssac002 - Combine RSSAC002v3 YAML files

SYNOPSIS
dnscap-rssm-rssac002 [ --no-recompile --keep-dnscap-rssm --sort ] files...

DESCRIPTION
This Perl script will merge and remove metric specific to this plugin and replace others to fill in correct values for the new time period. The earliest start-period found will be used for all metrics.

NOTE no parsing of start-period is performed, it is up to the operator to only give input files related to the same 24 hour period.

OPTIONS

--no-recompile
    Disabled the combining of metrics and the removal of metrics specific to this plugin.

--keep-dnscap-rssm
    Do the combining but keep the metrics specific to this plugin.

--sort
    Output will always start with version:, service:, start-period: and metric:, rest of the values are not ordered by label. This option enabled sorting of them, which is not required by the specification but may help in debugging and testing cases.

SEE ALSO
dnscap(1)

AUTHORS
Jerry Lundström, DNS-OARC

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnscap/issues

For question and help please use:

    admin@dns-oarc.net